# RSL_write_radar

# RSL_write_radar_fp

# RSL_write_radar_gzip

### Synopsis

#include "rsl.h"
int RSL_write_radar(Radar *radar, char *outfile);
int RSL_write_radar_fp(Radar *radar, FILE *fp);
int RSL_write_radar_gzip(Radar *radar, char *outfile);

###

Description

Save the Radar structure to disk. This is useful when it take some effort or time to build the Radar structure from data; you can save the Radar as an intermediate result of processing. RSL_write_radar_gzip writes gzip-ed files by passing the data through GNU gzip.

### Return value

Upon successful completion, the number of bytes written is returned.

### See also

RSL_read_volume, RSL_read_sweep, RSL_read_ray,
RSL_write_volume, RSL_write_sweep, RSL_write_ray,
RSL_read_radar, File format.

Author: John H. Merritt